--- old/usr/src/cmd/rpcgen/rpc_hout.c	Sun Aug  3 11:09:16 2014
+++ new/usr/src/cmd/rpcgen/rpc_hout.c	Sun Aug  3 11:09:16 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -44,7 +46,7 @@
 #include "rpc_parse.h"
 #include "rpc_util.h"
 
-extern void pprocdef(proc_list *, version_list *, char *, int, int);
+extern void pprocdef(proc_list *, version_list *, char *, int);
 extern void pdeclaration(char *, declaration *, int, char *);
 
 static void storexdrfuncdecl(char *, int);
@@ -139,13 +141,10 @@
 }
 
 void
-print_xdr_func_def(char *name, int pointerp, int i)
+print_xdr_func_def(char *name, int pointerp)
 {
-	if (i == 2)
-		f_print(fout, "extern bool_t xdr_%s();\n", name);
-	else
-		f_print(fout, "extern  bool_t xdr_%s(XDR *, %s%s);\n", name,
-		    name, pointerp ? "*" : "");
+	f_print(fout, "extern  bool_t xdr_%s(XDR *, %s%s);\n", name,
+	    name, pointerp ? "*" : "");
 }
 
 
@@ -262,14 +261,11 @@
 }
 
 static void
-pfreeprocdef(char *name, char *vers, int mode)
+pfreeprocdef(char *name, char *vers)
 {
 	f_print(fout, "extern int ");
 	pvname(name, vers);
-	if (mode == 1)
-		f_print(fout, "_freeresult(SVCXPRT *, xdrproc_t, caddr_t);\n");
-	else
-		f_print(fout, "_freeresult();\n");
+	f_print(fout, "_freeresult(SVCXPRT *, xdrproc_t, caddr_t);\n");
 }
 
 static void
@@ -277,8 +273,6 @@
 {
 	version_list *vers;
 	proc_list *proc;
-	int i;
-	char *ext;
 
 	pargdef(def);
 
@@ -294,61 +288,24 @@
 		}
 		puldefine(vers->vers_name, vers->vers_num, VERSION);
 
-		/*
-		 * Print out 2 definitions, one for ANSI-C, another for
-		 * old K & R C
-		 */
-
-		if (!Cflag) {
-			ext = "extern  ";
-			for (proc = vers->procs; proc != NULL;
-			    proc = proc->next) {
-				if (!define_printed(proc, def->def.pr.versions))
-					puldefine(proc->proc_name,
-					    proc->proc_num, PROCEDURE);
-				f_print(fout, "%s", ext);
-				pprocdef(proc, vers, NULL, 0, 2);
-
-				if (mtflag) {
-					f_print(fout, "%s", ext);
-					pprocdef(proc, vers, NULL, 1, 2);
-				}
+		for (proc = vers->procs; proc != NULL;
+		    proc = proc->next) {
+			if (!define_printed(proc,
+			    def->def.pr.versions)) {
+				puldefine(proc->proc_name,
+				    proc->proc_num, PROCEDURE);
 			}
-			pfreeprocdef(def->def_name, vers->vers_num, 2);
-		} else {
-			for (i = 1; i < 3; i++) {
-				if (i == 1) {
-					f_print(fout, "\n#if defined(__STDC__)"
-					    " || defined(__cplusplus)\n");
-					ext = "extern  ";
-				} else {
-					f_print(fout, "\n#else /* K&R C */\n");
-					ext = "extern  ";
-				}
-
-				for (proc = vers->procs; proc != NULL;
-				    proc = proc->next) {
-					if (!define_printed(proc,
-					    def->def.pr.versions)) {
-						puldefine(proc->proc_name,
-						    proc->proc_num, PROCEDURE);
-					}
-					f_print(fout, "%s", ext);
-					pprocdef(proc, vers, "CLIENT *", 0, i);
-					f_print(fout, "%s", ext);
-					pprocdef(proc, vers,
-					    "struct svc_req *", 1, i);
-				}
-				pfreeprocdef(def->def_name, vers->vers_num, i);
-			}
-			f_print(fout, "#endif /* K&R C */\n");
+			f_print(fout, "extern  ");
+			pprocdef(proc, vers, "CLIENT *", 0);
+			f_print(fout, "extern  ");
+			pprocdef(proc, vers, "struct svc_req *", 1);
 		}
+		pfreeprocdef(def->def_name, vers->vers_num);
 	}
 }
 
 void
-pprocdef(proc_list *proc, version_list *vp, char *addargtype, int server_p,
-								int mode)
+pprocdef(proc_list *proc, version_list *vp, char *addargtype, int server_p)
 {
 	if (mtflag) {
 		/* Print MT style stubs */
@@ -365,13 +322,7 @@
 	else
 		pvname(proc->proc_name, vp->vers_num);
 
-	/*
-	 *  mode  1 = ANSI-C, mode 2 = K&R C
-	 */
-	if (mode == 1)
-		parglist(proc, addargtype);
-	else
-		f_print(fout, "();\n");
+	parglist(proc, addargtype);
 }
 
 /* print out argument list of procedure */
